%define KERNVER 2.4.34-1tr

Summary: File access control 
Name: dazuko
Version: 2.3.2 
Release: 1tr
Group: Trustix Official
Source: dazuko-%{version}.tar.gz
License: GPL
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildRequires: kernel-source

%description
Dazuko aims to be a cross-platform device driver that allows
applications to control file access on a system. By installing
the driver, your system will be able to support file access
control applications that are based on Dazuko.

%package module
Summary: Dazuko kernel module
Group: Trustix Official
PreReq: module-init-tools
Requires: %{name} = %{version}

%description module
Dazuko aims to be a cross-platform device driver that allows
applications to control file access on a system. By installing
the driver, your system will be able to support file access
control applications that are based on Dazuko.

%package module-smp
Summary: Dazuko module of SMP kernel
Group: Trustix Official
PreReq: module-init-tools
Requires: %{name} = %{version}

%description module-smp
Dazuko aims to be a cross-platform device driver that allows
applications to control file access on a system. By installing
the driver, your system will be able to support file access
control applications that are based on Dazuko.


%prep
%setup -q

%build

pushd /lib/modules/%{KERNVER}/build/
cp /boot/config-%{KERNVER} .
make oldconfig
popd
./configure --kernelsrcdir="/lib/modules/%{KERNVER}/build/" --kernelobjdir=/usr

make CFLAGS="-Wall -O -DLINUX -Dlinux %{?no_stack_protector}" 

mkdir modules
mv dazuko.o modules/
make clean


## Create SMP module

pushd /lib/modules/%{KERNVER}smp/build/
make mrproper
cp /boot/config-%{KERNVER}smp .
make oldconfig
popd

./configure --kernelsrcdir="/lib/modules/%{KERNVER}smp/build/" --kernelobjdir=/usr
make CFLAGS="-Wall -O -DLINUX -Dlinux %{?no_stack_protector}"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

install -m 755 -d $RPM_BUILD_ROOT/lib/modules/%{KERNVER}/misc
install -m 755 -d $RPM_BUILD_ROOT/lib/modules/%{KERNVER}smp/misc
install -m 644 modules/dazuko.o $RPM_BUILD_ROOT/lib/modules/%{KERNVER}/misc
install -m 644 dazuko.o $RPM_BUILD_ROOT/lib/modules/%{KERNVER}smp/misc 


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%post
## Creating device "control"
if [ ! -f /dev/dazuko ]; then
#        mknod -m 600 /dev/dazuko c `grep dazuko /proc/devices | sed "s/ .*//"` 0
        mknod -m 600 /dev/dazuko c 254 0
fi
/sbin/ldconfig

%postun
if [ $1 = 0 ]; then
        rm  /dev/dazuko
fi

%post  module
/sbin/depmod -a

%postun module
/sbin/depmod -a

%post module-smp
/sbin/depmod -a

%postun module-smp
/sbin/depmod -a



%files
%defattr(-,root,root,0755)
%doc CHANGELOG COPYING LICENSE.GPL README*

%files module
/lib/modules/%{KERNVER}/misc

%files module-smp
/lib/modules/%{KERNVER}smp/misc

%changelog
* Wed Mar 28 2007 2007 Nived Gopalan <nived at trustix dot org> 2.3.2-1tr
- Initial release

